Browse term base
curl --request POST \
--url https://cloud.memsource.com/web/api2/v1/termBases/{termBaseUid}/browse \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"pageNumber": 123,
"pageSize": 25,
"query": "<string>",
"queryLang": "<string>",
"status": "<string>"
}
'import requests
url = "https://cloud.memsource.com/web/api2/v1/termBases/{termBaseUid}/browse"
payload = {
"pageNumber": 123,
"pageSize": 25,
"query": "<string>",
"queryLang": "<string>",
"status": "<string>"
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
pageNumber: 123,
pageSize: 25,
query: '<string>',
queryLang: '<string>',
status: '<string>'
})
};
fetch('https://cloud.memsource.com/web/api2/v1/termBases/{termBaseUid}/browse', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"searchResults": [
{
"id": "<string>",
"terms": [
[
{
"text": "<string>",
"caseSensitive": true,
"conceptId": "<string>",
"conceptNote": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"createdBy": {
"email": "<string>",
"firstName": "<string>",
"id": "<string>",
"lastName": "<string>",
"uid": "<string>",
"userName": "<string>"
},
"customFields": [
{
"fieldName": "<string>",
"value": {}
}
],
"definition": "<string>",
"domain": "<string>",
"exactMatch": true,
"forbidden": true,
"gender": "<string>",
"id": "<string>",
"lang": "<string>",
"modifiedAt": "2023-11-07T05:31:56Z",
"modifiedBy": {
"email": "<string>",
"firstName": "<string>",
"id": "<string>",
"lastName": "<string>",
"uid": "<string>",
"userName": "<string>"
},
"note": "<string>",
"number": "<string>",
"partOfSpeech": "<string>",
"preferred": true,
"rtl": true,
"shortTranslation": "<string>",
"subDomains": [
"<string>"
],
"termType": "<string>",
"url": "<string>",
"usage": "<string>",
"writable": true
}
]
],
"writable": true
}
]
}Term Base
Browse term base
POST
/
api2
/
v1
/
termBases
/
{termBaseUid}
/
browse
Browse term base
Authorizations
ApiTokenOAuth2
Get a token from auth/login endpoint and then pass it in the Authorization HTTP header in every subsequent API call. For more information visit our help center.
Path Parameters
Term base UID
Body
application/json
Response
OK
Show child attributes
Show child attributes
Was this page helpful?
⌘I